.google-stats-box {
    text-decoration: none!important;
    .google-stats-content {
        border-radius: 8px;
        background: rgba(0, 0, 0, 0.20);
        display: flex;
        flex-direction: column;
        align-items: center;
        gap: 8px;
        padding:16px 42px;
        p {
            margin:0;
            font-size: 0.9rem;
        }
        .google-logo {
            width: 100%;
            display: flex;
            justify-content: center; 
            padding: 0;
            img {
                width: 100px;
                height: auto;
            }
        }
        .google-stars {
            color: #FFD700;
            font-size: 1rem;
        }
    }
}